/api/workspaces/{workspaceId}/import/toggl
POST
/api/workspaces/{workspaceId}/import/toggl
const url = 'https://example.com/api/workspaces/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/import/toggl?dryRun=true';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"fileName":"example","encoding":"example","applyMojibakeFix":true,"timezone":"example","rows":[{"email":"example","client":"example","project":"example","task":"example","description":"example","billable":true,"startedAtLocal":"example","stoppedAtLocal":"example","tags":["example"]}]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url 'https://example.com/api/workspaces/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/import/toggl?dryRun=true' \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "fileName": "example", "encoding": "example", "applyMojibakeFix": true, "timezone": "example", "rows": [ { "email": "example", "client": "example", "project": "example", "task": "example", "description": "example", "billable": true, "startedAtLocal": "example", "stoppedAtLocal": "example", "tags": [ "example" ] } ] }'Authorizations
Section intitulée « Authorizations »Parameters
Section intitulée « Parameters »Path Parameters
Section intitulée « Path Parameters » workspaceId
required
string format: uuid
Query Parameters
Section intitulée « Query Parameters » dryRun
required
boolean
Request Body required
Section intitulée « Request Body required » Media type application/json
object
fileName
string
encoding
string
applyMojibakeFix
boolean
timezone
string
rows
Array<object>
object
email
string
client
string
project
string
task
string
description
string
billable
boolean
startedAtLocal
string
stoppedAtLocal
string
tags
Array<string>
Example generated
{ "fileName": "example", "encoding": "example", "applyMojibakeFix": true, "timezone": "example", "rows": [ { "email": "example", "client": "example", "project": "example", "task": "example", "description": "example", "billable": true, "startedAtLocal": "example", "stoppedAtLocal": "example", "tags": [ "example" ] } ]}Responses
Section intitulée « Responses »OK